#if !defined(AFX_DESIGNEDACTUATOR_H__BB891BC0_F4F8_11D6_A264_D7745078CB65__INCLUDED_)
#define AFX_DESIGNEDACTUATOR_H__BB891BC0_F4F8_11D6_A264_D7745078CB65__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DesignedActuator.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// DesignedActuator dialog
class DesignedActuator : public CDialog
{
// Construction
public:
	DesignedActuator(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(DesignedActuator)
	enum { IDD = IDD_EditDSA };
	CEdit	m_firstDisplayStateCtrl;
	CSpinButtonCtrl	m_spinState;
	CStatic	m_initialStateTitle;
	CEdit	m_initialStateControl;
	CString	m_description;
	UINT	m_groupID;
	int		m_stateLocation;
	UINT	m_initialState;
	int		m_master;
	CString	m_C0Text;
	CString	m_C1Text;
	CString	m_C2Text;
	CString	m_C3Text;
	BOOL	m_editInBigWindow;
	CString	m_S0Text;
	CString	m_S1Text;
	CString	m_S2Text;
	CString	m_S3Text;
	CString	m_T0Text;
	CString	m_T1Text;
	CString	m_T2Text;
	CString	m_T3Text;
	UINT	m_displayState;
	//}}AFX_DATA
  //int m_stateColumnWidth;
  //int m_topOfListWindow;
  //int m_leftOfListWindow;
  int m_errorControlID;
  int m_errorColumn;
  DSA m_DSA;
  int m_encodeErrorID;
  int m_encodeErrorCol;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DesignedActuator)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DesignedActuator)
	virtual BOOL OnInitDialog();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	virtual void OnOK();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSelchangeStartingState();
	afx_msg void OnHelp();
	afx_msg void OnLocalState();
	afx_msg void OnMaster();
	afx_msg void OnSlave();
	afx_msg void OnParameterB();
	afx_msg void OnChangeFirstDisplayState();
	afx_msg void OnDeltaposSpinState(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnKillfocusC0Text();
	afx_msg void OnKillfocusC1Text();
	afx_msg void OnKillfocusC2Text();
	afx_msg void OnKillfocusC3Text();
	afx_msg void OnKillfocusS0Text();
	afx_msg void OnKillfocusS1Text();
	afx_msg void OnKillfocusS2Text();
	afx_msg void OnKillfocusS3Text();
	afx_msg void OnKillfocusT0Text();
	afx_msg void OnKillfocusT1Text();
	afx_msg void OnKillfocusT2Text();
	afx_msg void OnKillfocusT3Text();
	afx_msg void OnSetfocusC0Text();
	afx_msg void OnSetfocusC1Text();
	afx_msg void OnSetfocusC2Text();
	afx_msg void OnSetfocusC3Text();
	afx_msg void OnSetfocusS0Text();
	afx_msg void OnSetfocusS1Text();
	afx_msg void OnSetfocusS2Text();
	afx_msg void OnSetfocusS3Text();
	afx_msg void OnSetfocusT0Text();
	afx_msg void OnSetfocusT1Text();
	afx_msg void OnSetfocusT2Text();
	afx_msg void OnSetfocusT3Text();
	virtual void OnCancel();
	afx_msg void OnSetfocusFirstDisplayState();
	afx_msg void OnSetfocusDescription();
	afx_msg void OnSetfocusGroupID();
	afx_msg void OnExport();
	afx_msg void OnImport();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
//  void FillStateTable(void);
  void Show(int IDC, bool show);
  bool KillFocus(int windowID);
  void SetFocus(int windowID);
  void ExtractProgramsFromRecord(void);
  bool EncodeProgramsIntoRecord(void);
  bool Encode(int i, CString& p, int ID);
  int WindowID2Index(int windowID);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DESIGNEDACTUATOR_H__BB891BC0_F4F8_11D6_A264_D7745078CB65__INCLUDED_)
