#if !defined(AFX_EDITPALETTE_H__B46187A0_8553_11D8_A264_894112684440__INCLUDED_)
#define AFX_EDITPALETTE_H__B46187A0_8553_11D8_A264_894112684440__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditPalette.h : header file
//

class CStaticColor:public CStatic
{
public:
  HBITMAP  m_hBitmap;
  COLORREF m_color;
  CStaticColor(void);
  ~CStaticColor(void);
  void Initialize(void);
  void SetColor(int r, int g, int b);
};

/////////////////////////////////////////////////////////////////////////////
// EditPalette dialog

class EditPalette : public CDialog
{
// Construction
public:
	EditPalette(CWnd* pParent = NULL);   // standard constructor

  PALETTE      *m_pPalette;
  CStaticColor *m_colorControls[16];
  BOOL         *m_dimFlags[16];
// Dialog Data
	//{{AFX_DATA(EditPalette)
	enum { IDD = IDD_DLG_EditPalette };
	CStaticColor	m_color9;
	CStaticColor	m_color8;
	CStaticColor	m_color7;
	CStaticColor	m_color6;
	CStaticColor	m_color5;
	CStaticColor	m_color4;
	CStaticColor	m_color3;
	CStaticColor	m_color2;
	CStaticColor	m_color15;
	CStaticColor	m_color14;
	CStaticColor	m_color13;
	CStaticColor	m_color12;
	CStaticColor	m_color11;
	CStaticColor	m_color10;
	CStaticColor	m_color;
	CStaticColor	m_color0;
	CStaticColor	m_color1;
	CSpinButtonCtrl	m_spinRed;
	CSpinButtonCtrl	m_spinGreen;
	CSpinButtonCtrl	m_spinBlue;
	UINT	m_varRed;
	UINT	m_varGreen;
	UINT	m_varBlue;
	BOOL	m_dim0;
	BOOL	m_dim1;
	BOOL	m_dim10;
	BOOL	m_dim11;
	BOOL	m_dim12;
	BOOL	m_dim13;
	BOOL	m_dim14;
	BOOL	m_dim15;
	BOOL	m_dim2;
	BOOL	m_dim3;
	BOOL	m_dim4;
	BOOL	m_dim5;
	BOOL	m_dim6;
	BOOL	m_dim7;
	BOOL	m_dim8;
	BOOL	m_dim9;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditPalette)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
  void UpdateColorValue(UINT *value, int delta);
  void SwapColors(int colorNum);
  void ExtractDataFromPalette(void);
  void PackDataIntoPalette(void);
protected:

	// Generated message map functions
	//{{AFX_MSG(EditPalette)
	afx_msg void OnColor0();
	afx_msg void OnPaint();
	virtual BOOL OnInitDialog();
	afx_msg void OnColor1();
	afx_msg void OnColor10();
	afx_msg void OnColor11();
	afx_msg void OnColor12();
	afx_msg void OnColor13();
	afx_msg void OnColor14();
	afx_msg void OnColor15();
	afx_msg void OnColor2();
	afx_msg void OnColor3();
	afx_msg void OnColor4();
	afx_msg void OnColor5();
	afx_msg void OnColor6();
	afx_msg void OnColor7();
	afx_msg void OnColor8();
	afx_msg void OnColor9();
	afx_msg void OnDeltaposSpinBlue(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposSpinGreen(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposSpinRed(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITPALETTE_H__B46187A0_8553_11D8_A264_894112684440__INCLUDED_)
