#if !defined(AFX_EDITPUSHBUTTON_H__78975422_D09B_11D6_A264_A4970B0E90CF__INCLUDED_)
#define AFX_EDITPUSHBUTTON_H__78975422_D09B_11D6_A264_A4970B0E90CF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditPushButton.h : header file
//


/////////////////////////////////////////////////////////////////////////////
// EditPushButton dialog

class EditPushButton : public CDialog
{
// Construction
public:
	EditPushButton(LOCATIONREL locr, CWnd* pParent = NULL);   // standard constructor 

// Dialog Data
	//{{AFX_DATA(EditPushButton)
	enum { IDD = IDD_DLG_EditPushButton };
	CComboBox	m_giftControl;
	CComboBox	m_neededObject;
	CComboBox	m_position;
	CComboBox	m_graphic;
	BOOL	m_audible;
	UINT	m_column;
	UINT	m_delay;
	BOOL	m_onlyOnce;
	UINT	m_row;
	int		m_anything;
	BOOL	m_remove;
	BOOL	m_clearConditionMet;
	BOOL	m_clearConditionNotMet;
	BOOL	m_setConditionMet;
	BOOL	m_setConditionNotMet;
	BOOL	m_toggleConditionMet;
	BOOL	m_toggleConditionNotMet;
	BOOL	m_rotateConditionMet;
	BOOL	m_rotateConditionNotMet;
	BOOL	m_skillConditionMet;
	BOOL	m_skillConditionNotMet;
	BOOL	m_onlyIfLast;
	int		m_forceRotate;
	int		m_gift;
	//}}AFX_DATA
  LOCATIONREL m_locr;
  LEVELINFO m_levelInfo;
  ACTUATOR_PushButton *m_pPushButton;
  int m_neededObjectIndex;
  MODIFIEDOBJECTTYPE m_particularObjectType;
  //***************
  // The following four variable define the 
  // actions performed
  int  m_effect; //0=targeted; 1=skill adjust; 2=rotate
  bool m_NC;     //Normally closed
  PBTYPE m_PBtype; 
  ACTUATORACTION  m_action; //set/clear/toggle/hold  
  //***************
  int  m_positionIndex;
  int  m_wallGraphicIndex;
  int  m_giftType;
  

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditPushButton)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EditPushButton)
	afx_msg void OnAnything();
	afx_msg void OnSetConditionMet();
	afx_msg void OnSetConditionNotMet();
	afx_msg void OnToggleConditionMet();
	afx_msg void OnToggleConditionNotMet();
	afx_msg void OnClearConditionMet();
	afx_msg void OnClearConditionNotMet();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnForceRotate();
	afx_msg void OnOnlyIfLast();
	afx_msg void OnRemove();
	afx_msg void OnDeleteIfActivated();
	afx_msg void OnRotateConditionMet();
	afx_msg void OnRotateConditionNotMet();
	afx_msg void OnSkillConditionMet();
	afx_msg void OnSkillConditonNotMet();
	afx_msg void OnLocalAction();
	afx_msg void OnBrowse();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
  int Edit(void);
  void UpdateAction(int mask);
  void ExtractDataFromRecord(void);
  void EncodeDataInRecord(void);
  void FillWallDecorationsComboBox();
  bool IsAlcove(void);
  void MarkActions(void);
  void Show(int ID, bool show);
  bool CheckNoAlcove(void);
  bool CheckForAlcove(void);
  void AddGift(int value, char *name);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITPUSHBUTTON_H__78975422_D09B_11D6_A264_A4970B0E90CF__INCLUDED_)
