#if !defined(AFX_EDITROOMOPEN_H__F3EE1EC0_CA7D_11D6_A264_F1C1A1EEB8F9__INCLUDED_)
#define AFX_EDITROOMOPEN_H__F3EE1EC0_CA7D_11D6_A264_F1C1A1EEB8F9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditRoomOpen.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EditRoomOpen dialog


class EditRoomOpen : public CDialog
{
// Construction
public:
	EditRoomOpen(LOCATIONREL locr, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EditRoomOpen)
	enum { IDD = IDD_DIALOG_EditRoomOpen };
	CObjectListBox	m_targetOf;
	CObjectListBox	m_EO_C_List;
	CObjectListBox	m_EO_3_List;
	CObjectListBox	m_EO_2_List;
	CObjectListBox	m_EO_1_List;
	CObjectListBox	m_EO_0_List;
	BOOL	m_Visible;
	BOOL	m_RandomFloor;
	BOOL	m_Open;
	int		m_openDoor;
	BOOL	m_footprints;
	//}}AFX_DATA

  CToolTipCtrl m_toolTips;
  LOCATIONREL m_locr;
  ROOMTYPE m_roomType;
  CObjectListBox *m_lists[5];
  int             m_saveSel[5];
  LEVELINFO m_levelInfo;
  RN m_interestingObject;
  int m_interestingObjectPos;
  int m_interestingObjectIndex;
  int m_activeContextWindow;
  OBJECTLIST m_triggerList;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditRoomOpen)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL PreTranslateMessage(MSG* pMsg);

	//}}AFX_VIRTUAL

// Implementation
  void DeleteObject(int position);
  void InsertObject(int position, ROOMTYPE rt);
  void EditObject(int position);
  void PopObject(int pos);
  RN DetermineSelectedObject(int pos);
  void Hide(int controlID);
  void MoveCW(int distance);
protected:

	// Generated message map functions
	//{{AFX_MSG(EditRoomOpen)
	afx_msg void OnEOCEdit();
	afx_msg void OnEO0Delete();
	afx_msg void OnEO1Delete();
	afx_msg void OnEO2Delete();
	afx_msg void OnEO3Delete();
	afx_msg void OnEOCDelete();
	afx_msg void OnEOCNew();
	afx_msg void OnEO0New();
	afx_msg void OnEO1New();
	afx_msg void OnEO2New();
	afx_msg void OnEO3New();
	afx_msg void OnEO0Edit();
	afx_msg void OnEO1Edit();
	afx_msg void OnEO2Edit();
	afx_msg void OnEO3Edit();
	afx_msg void OnEOCPop();
	afx_msg void OnEO0Pop();
	afx_msg void OnEO1Pop();
	afx_msg void OnEO2Pop();
	afx_msg void OnEO3Pop();
	afx_msg void OnDblclkEO0List();
	afx_msg void OnDblclkEO1List();
	afx_msg void OnDblclkEO2List();
	afx_msg void OnDblclkEO3List();
	afx_msg void OnDblclkEOCList();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnMoveCW();
	afx_msg void OnMoveCCW();
	afx_msg void OnMoveAcross();
	virtual BOOL OnInitDialog();
	afx_msg void OnPop();
	afx_msg void OnEditRoomOpenCopyItem();
	afx_msg void OnEditRoomOpenPasteItem();
	afx_msg void OnPeekAtSource();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITROOMOPEN_H__F3EE1EC0_CA7D_11D6_A264_F1C1A1EEB8F9__INCLUDED_)
