// SelectDoorDecoration.cpp : implementation file
//

#include "stdafx.h"
#include "CSBuild.h"
#include "SelectDoorDecoration.h"
#include "Misc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// SelectDoorDecoration dialog


SelectDoorDecoration::SelectDoorDecoration(CWnd* pParent /*=NULL*/)
	: CDialog(SelectDoorDecoration::IDD, pParent)
{
	//{{AFX_DATA_INIT(SelectDoorDecoration)
	m_doorDecorationIndex = -1;
	//}}AFX_DATA_INIT
}


void SelectDoorDecoration::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(SelectDoorDecoration)
	DDX_Control(pDX, IDC_DoorDecoration, m_doorDecoration);
	DDX_LBIndex(pDX, IDC_DoorDecoration, m_doorDecorationIndex);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(SelectDoorDecoration, CDialog)
	//{{AFX_MSG_MAP(SelectDoorDecoration)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// SelectDoorDecoration message handlers

void SelectDoorDecoration::OnOK() 
{
	// TODO: Add extra validation here
	CDialog::OnOK();
  m_ornateType.Integer(m_doorDecoration.GetItemData(m_doorDecorationIndex));
}

BOOL SelectDoorDecoration::OnInitDialog() 
{
	int index;
  ORNATETYPE ot;
  CString name;
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
  for (ot.FirstType(); ot.IsLegal(); ot.NextType())
  {
    name = ot.Name();
    index = m_doorDecoration.AddString(NicelyDecapitalize(name));
    m_doorDecoration.SetItemData(index, ot.Integer());
  };
  m_doorDecoration.SetCurSel(0);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


