#if !defined(AFX_DLG_INSERTOBJECT_H__6F015F60_CEE2_11D6_A264_DA4E72B31A7F__INCLUDED_)
#define AFX_DLG_INSERTOBJECT_H__6F015F60_CEE2_11D6_A264_DA4E72B31A7F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// dlg_InsertObject.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// dlg_InsertObject dialog

class dlg_InsertObject : public CDialog
{
// Construction
public:
	dlg_InsertObject(LOCATIONREL locr,
                   int typeMask,
                   CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(dlg_InsertObject)
	enum { IDD = IDD_InsertObjectList };
	CButton	m_Option1Ctrl;
	CComboBox	m_objectList;
	int		m_dataType;
	BOOL	m_option1Value;
	//}}AFX_DATA
  CString m_title;
  RN  m_insertObject; //The result of calling this dialog.
  DBTYPE m_dbType;
  CString m_option1Title;
  int m_objectListIndex;
  LOCATIONREL m_locr;
  int m_typeMask;

  MODIFIEDOBJECTTYPE m_modifiedObjectType;

  ACTUATORCLASS m_actuatorType;
  //DB3 m_ActuatorRecord;

  WEAPONTYPE m_weaponType;
  int m_weaponIndex;
  //DB5 m_WeaponRecord;

  CLOTHINGTYPE m_clothingType;
  int m_clothingIndex;
  //DB6 m_ClothingRecord;

  POTIONTYPE m_potionType;
  int m_potionIndex;
  //DB8 m_PotionRecord;

  MISCTYPE m_miscType;
  int m_miscIndex;
  //DB10 m_MiscRecord;

  MONSTERTYPE m_monsterType;
  int m_monsterIndex;
  //DB4 m_MonsterRecord;

  //DB9 m_ChestRecord;

  //DB7 m_ScrollRecord;

  //DB2 m_TextRecord;

  //DB1 m_TeleporterRecord;

  int m_allowedOptions[16]; //Bit 0 = first option, etc.

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(dlg_InsertObject)
	public:
	virtual int DoModal();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(dlg_InsertObject)
	virtual void OnOK();
	afx_msg void OnInsertObjectActuator();
	afx_msg void OnInsertObjectChest();
	afx_msg void OnInsertObjectClothing();
	afx_msg void OnInsertObjectDoor();
	afx_msg void OnInsertObjectMisc();
	afx_msg void OnInsertObjectMonster();
	afx_msg void OnInsertObjectPotion();
	afx_msg void OnInsertObjectScroll();
	afx_msg void OnInsertObjectTeleporter();
	afx_msg void OnInsertObjectText();
	afx_msg void OnInsertObjectWeapon();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  void Enable(int dialogID);  // Enable dialog control
  void Disable(int dialogID); // Disable dialog control
  void Show(int id, bool show);
  void SetText(int id, CString& text);
  int  EncodeDataIntoRecord(void);
  void AddObject(ACTUATORCLASS actype, char *name);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLG_INSERTOBJECT_H__6F015F60_CEE2_11D6_A264_DA4E72B31A7F__INCLUDED_)
