#if !defined(AFX_DATABASEEDITOR_H__551DCE99_A9D6_4790_A7D4_5A4098A3FA3B__INCLUDED_)
#define AFX_DATABASEEDITOR_H__551DCE99_A9D6_4790_A7D4_5A4098A3FA3B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DatabaseEditor.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// DatabaseEditor dialog

class DatabaseEditor : public CDialog
{
// Construction
public:
	DatabaseEditor(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(DatabaseEditor)
	enum { IDD = IDD_DatabaseEditor };
	CStatic	m_subKeyTitle;
	CComboBox	m_subKey;
	CComboBox	m_key;
	CStatic	m_keyTitle;
	CComboBox	m_databaseType;
	UINT	m_size;
	CString	m_d0;
	CString	m_d1;
	CString	m_d10;
	CString	m_d11;
	CString	m_d12;
	CString	m_d13;
	CString	m_d14;
	CString	m_d15;
	CString	m_d2;
	CString	m_d3;
	CString	m_d4;
	CString	m_d5;
	CString	m_d6;
	CString	m_d7;
	CString	m_d8;
	CString	m_d9;
	CString	m_explanation;
	CString	m_textData;
	int		m_dataTypeDecimal;
	//}}AFX_DATA


  CString *m_d[16];
  int m_dataValues[16];

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DatabaseEditor)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DatabaseEditor)
	virtual BOOL OnInitDialog();
	afx_msg void OnRead();
	afx_msg void OnSelchangeDatabaseType();
	afx_msg void OnWrite();
	afx_msg void OnHex();
	afx_msg void OnDataTypeText();
	afx_msg void OnDataTypeDecimal();
	afx_msg void OnChangeTextData();
	afx_msg void OnDataTypeHex();
	afx_msg void OnSelchangeKey();
	afx_msg void OnSelchangeSubKey();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  void Visiblize(void);
  void DatabaseEditor::SetVisible(int id, bool visible);
  void DatabaseEditor::TextToVar(int& var, int num, int len);
  void DatabaseEditor::AddMonsterNames() ;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DATABASEEDITOR_H__551DCE99_A9D6_4790_A7D4_5A4098A3FA3B__INCLUDED_)
