#if !defined(AFX_EDIT_PRESSUREPAD_H__D9F774E0_CBE9_11D6_A264_C252922AAC86__INCLUDED_)
#define AFX_EDIT_PRESSUREPAD_H__D9F774E0_CBE9_11D6_A264_C252922AAC86__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EDIT_PressurePad.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EDIT_PressurePad dialog

class EDIT_PressurePad : public CDialog
{
// Construction
public:
	EDIT_PressurePad(LOCATIONREL locr, 
                   RN RNpressurPad,
                   CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EDIT_PressurePad)
	enum { IDD = IDD_DLG_EDIT_PressurePad };
	CComboBox	m_particularObject;
	CComboBox	m_objectPossessed;
	CComboBox	m_graphic;
	CComboBox	m_direction;
	CComboBox	m_PositionList;
	BOOL	m_clearConditionMet;
	BOOL	m_clearConditionNotMet;
	UINT	m_delay;
	int		m_nothing;
	BOOL	m_onceOnly;
	BOOL	m_setConditionMet;
	BOOL	m_setConditionNotMet;
	BOOL	m_sound;
	UINT	m_targetColumn;
	UINT	m_targetRow;
	BOOL	m_toggleConditionMet;
	BOOL	m_toggleConditionNotMet;
	UINT	m_value;
	BOOL	m_visible;
	CString	m_pressLabel;
	CString	m_releaseLabel;
	CString	m_actionTitle;
	//}}AFX_DATA
  LOCATIONREL m_locr;
  RN m_RNpressurePad;
  LEVELINFO m_levelInfo;
  int m_positionListIndex;
  int m_particularObjectIndex;
  MODIFIEDOBJECTTYPE m_particularObjectType;
  int m_objectPossessedIndex;
  MODIFIEDOBJECTTYPE m_objectPossessedType;
  int m_directionListIndex;
  int m_graphicListIndex;
  ACTUATOR_PressurePad *m_pPressurePad;
  void UpdateAction(void);
  void Show(int id, bool show);
  void ValidateActions(int change);
  bool PossibleAction(int mask);
  void HideImpossibleActions(void);


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EDIT_PressurePad)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EDIT_PressurePad)
	afx_msg void OnOperatedBy();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnClearConditionMet();
	afx_msg void OnClearConditionNotMet();
	afx_msg void OnSetConditionMet();
	afx_msg void OnSetConditionNotMet();
	afx_msg void OnToggleConditionMet();
	afx_msg void OnToggleConditionNotMet();
	afx_msg void OnBrowse();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
  void ExtractDataFromRecord(void);
  void EncodeDataIntoRecord(void);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDIT_PRESSUREPAD_H__D9F774E0_CBE9_11D6_A264_C252922AAC86__INCLUDED_)
