#if !defined(AFX_EDITANDOR_H__42E66220_D128_11D6_A264_CC5D8C1C387E__INCLUDED_)
#define AFX_EDITANDOR_H__42E66220_D128_11D6_A264_CC5D8C1C387E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditAndOr.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EditAndOr dialog

class EditAndOr : public CDialog
{
// Construction 
public:
	EditAndOr(LOCATIONREL locr, 
            RN RNandOr,
            CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EditAndOr)
	enum { IDD = IDD_DLG_EditAndOr };
	CComboBox	m_graphic;
	CComboBox	m_position;
	UINT	m_column;
	UINT	m_delay;
	UINT	m_initialValue;
	BOOL	m_once;
	UINT	m_row;
	UINT	m_targetValue;
	BOOL	m_clearConditionMet;
	BOOL	m_clearConditionNotMet;
	BOOL	m_setConditionMet;
	BOOL	m_setConditionNotMet;
	BOOL	m_toggleConditionMet;
	BOOL	m_toggleConditionNotMet;
	BOOL	m_rotateConditionMet;
	BOOL	m_rotateConditionNotMet;
	int		m_noEdgeDetect;
	BOOL	m_skillConditionMet;
	BOOL	m_skillConditionNotMet;
	//}}AFX_DATA

  ACTUATOR_AndOr *m_pGate;
  LOCATIONREL m_locr;
  RN m_RNandOr;
  //LEVELINFO m_levelInfo; 
  int m_graphicListIndex;
  int m_positionIndex;
  bool m_localAction;
  int  m_localActionType;
  bool m_NC;
  int  m_action;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditAndOr)
	public:
	virtual int DoModal();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EditAndOr)
	virtual void OnOK();
	afx_msg void OnClearEqual();
	afx_msg void OnClearNotEqual();
	afx_msg void OnSetEqual();
	afx_msg void OnSetNotEqual();
	afx_msg void OnToggleEqual();
	afx_msg void OnToggleNotEqual();
	afx_msg void OnRotateEqual();
	afx_msg void OnRotateNotEqual();
	virtual BOOL OnInitDialog();
	afx_msg void OnBrowse();
	afx_msg void OnSkillEqual();
	afx_msg void OnSkillNotEqual();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
  void ExtractDataFromRecord(void);
  void EncodeDataIntoRecord(void);
  void UpdateAction(int mask);
  void Show(int ID, bool show);
  void MarkActions(void);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITANDOR_H__42E66220_D128_11D6_A264_CC5D8C1C387E__INCLUDED_)
