#if !defined(AFX_EDITCOUNTER_H__42E66221_D128_11D6_A264_CC5D8C1C387E__INCLUDED_)
#define AFX_EDITCOUNTER_H__42E66221_D128_11D6_A264_CC5D8C1C387E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditCounter.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EditCounter dialog

struct ACTION
{
  BOOL setZ;
};

class EditCounter : public CDialog
{
// Construction
public: 
	EditCounter(LOCATIONREL locr, CWnd* pParent = NULL);

// Dialog Data
	//{{AFX_DATA(EditCounter)
	enum { IDD = IDD_DLG_EditCounter };
	CComboBox	m_graphic;
	CComboBox	m_position;
	BOOL	m_once;
	int		m_initialValue;
	UINT	m_row;
	UINT	m_delay;
	BOOL	m_clearConditionNotMet;
	BOOL	m_clearConditionMet;
	BOOL	m_setConditionNotMet;
	BOOL	m_setConditionMet;
	BOOL	m_toggleConditionMet;
	UINT	m_column;
	BOOL	m_rotateConditionNotMet;
	BOOL	m_rotateConditionMet;
	BOOL	m_skillConditionNotMet;
	BOOL	m_skillConditionMet;
	CString	m_graphicTitle;
	//}}AFX_DATA

  ACTUATOR_Counter *m_pCounter;
  LEVELINFO m_levelInfo; 
  LOCATIONREL m_locr;
  ACTUATORACTION m_action;
  bool m_NC;
  int m_pos;
  bool m_localAction;
  int  m_localActionType;
  int m_maxRow;
  int m_graphicListIndex;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditCounter)
	public:
	virtual int DoModal();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EditCounter)
	afx_msg void OnSetNonZero();
	afx_msg void OnClearNonZero();
	afx_msg void OnToggleNonZero();
	afx_msg void OnClearZero();
	afx_msg void OnSetZero();
	afx_msg void OnToggleZero();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSkillNonZero();
	afx_msg void OnSkillZero();
	afx_msg void OnRotateNonZero();
	afx_msg void OnRotateZero();
	afx_msg void OnBrowse();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
  void UpdateAction(int mask);
  void ExtractDataFromRecord(void);
  void EncodeDataIntoRecord(void);
  void SetButtons(int k);
  int  GetButtons(void);
  void Show(int ID, bool show);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITCOUNTER_H__42E66221_D128_11D6_A264_CC5D8C1C387E__INCLUDED_)
