// EditPalette.cpp : implementation file
//

#include "stdafx.h"
#include "CSBuild.h"
#include "EditPalette.h"
#include "Misc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


BITMAPINFO bmi;
/////////////////////////////////////////////////////////////////////////////
// EditPalette dialog


EditPalette::EditPalette(CWnd* pParent /*=NULL*/)
	: CDialog(EditPalette::IDD, pParent)
{
	//{{AFX_DATA_INIT(EditPalette)
	m_varRed = 0;
	m_varGreen = 0;
	m_varBlue = 0;
	m_dim0 = FALSE;
	m_dim1 = FALSE;
	m_dim10 = FALSE;
	m_dim11 = FALSE;
	m_dim12 = FALSE;
	m_dim13 = FALSE;
	m_dim14 = FALSE;
	m_dim15 = FALSE;
	m_dim2 = FALSE;
	m_dim3 = FALSE;
	m_dim4 = FALSE;
	m_dim5 = FALSE;
	m_dim6 = FALSE;
	m_dim7 = FALSE;
	m_dim8 = FALSE;
	m_dim9 = FALSE;
	//}}AFX_DATA_INIT
  bmi.bmiHeader.biBitCount = 32;
  bmi.bmiHeader.biClrImportant = 0;
  bmi.bmiHeader.biClrUsed = 0;
  bmi.bmiHeader.biCompression = BI_RGB;
  bmi.bmiHeader.biHeight = 1;
  bmi.bmiHeader.biPlanes = 1;
  bmi.bmiHeader.biSize = sizeof (BITMAPINFOHEADER);
  bmi.bmiHeader.biSizeImage = 0;
  bmi.bmiHeader.biWidth = 1;
  bmi.bmiHeader.biXPelsPerMeter = 1;
  bmi.bmiHeader.biYPelsPerMeter = 1;
  m_colorControls[0] = &m_color0;	
  m_colorControls[1] = &m_color1;	
  m_colorControls[2] = &m_color2;	
  m_colorControls[3] = &m_color3;	
  m_colorControls[4] = &m_color4;	
  m_colorControls[5] = &m_color5;	
  m_colorControls[6] = &m_color6;	
  m_colorControls[7] = &m_color7;	
  m_colorControls[8] = &m_color8;	
  m_colorControls[9] = &m_color9;	
  m_colorControls[10] = &m_color10;	
  m_colorControls[11] = &m_color11;	
  m_colorControls[12] = &m_color12;	
  m_colorControls[13] = &m_color13;	
  m_colorControls[14] = &m_color14;	
  m_colorControls[15] = &m_color15;	
  m_dimFlags[0] = &m_dim0;
  m_dimFlags[1] = &m_dim1;
  m_dimFlags[2] = &m_dim2;
  m_dimFlags[3] = &m_dim3;
  m_dimFlags[4] = &m_dim4;
  m_dimFlags[5] = &m_dim5;
  m_dimFlags[6] = &m_dim6;
  m_dimFlags[7] = &m_dim7;
  m_dimFlags[8] = &m_dim8;
  m_dimFlags[9] = &m_dim9;
  m_dimFlags[10] = &m_dim10;
  m_dimFlags[11] = &m_dim11;
  m_dimFlags[12] = &m_dim12;
  m_dimFlags[13] = &m_dim13;
  m_dimFlags[14] = &m_dim14;
  m_dimFlags[15] = &m_dim15;
}

void EditPalette::ExtractDataFromPalette(void)
{
  int i;
  for (i=0; i<16; i++)
  {
    NotImplemented();
  };
}

void EditPalette::PackDataIntoPalette(void)
{
  int i;
  for (i=0; i<16; i++)
  {
    NotImplemented();
  };
}


void EditPalette::DoDataExchange(CDataExchange* pDX)
{
  int i;
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(EditPalette)
	DDX_Control(pDX, IDC_Color, m_color);
	DDX_Control(pDX, IDC_Color9, m_color9);
	DDX_Control(pDX, IDC_Color8, m_color8);
	DDX_Control(pDX, IDC_Color7, m_color7);
	DDX_Control(pDX, IDC_Color6, m_color6);
	DDX_Control(pDX, IDC_Color5, m_color5);
	DDX_Control(pDX, IDC_Color4, m_color4);
	DDX_Control(pDX, IDC_Color3, m_color3);
	DDX_Control(pDX, IDC_Color2, m_color2);
	DDX_Control(pDX, IDC_Color15, m_color15);
	DDX_Control(pDX, IDC_Color14, m_color14);
	DDX_Control(pDX, IDC_Color13, m_color13);
	DDX_Control(pDX, IDC_Color12, m_color12);
	DDX_Control(pDX, IDC_Color11, m_color11);
	DDX_Control(pDX, IDC_Color10, m_color10);
	DDX_Control(pDX, IDC_Color1, m_color1);
	DDX_Control(pDX, IDC_SpinRed, m_spinRed);
	DDX_Control(pDX, IDC_SpinGreen, m_spinGreen);
	DDX_Control(pDX, IDC_SpinBlue, m_spinBlue);
	DDX_Control(pDX, IDC_Color0, m_color0);
	DDX_Text(pDX, IDC_ValRed, m_varRed);
	DDV_MinMaxUInt(pDX, m_varRed, 0, 31);
	DDX_Text(pDX, IDC_ValGreen, m_varGreen);
	DDV_MinMaxUInt(pDX, m_varGreen, 0, 31);
	DDX_Text(pDX, IDC_ValBlue, m_varBlue);
	DDV_MinMaxUInt(pDX, m_varBlue, 0, 31);
	DDX_Check(pDX, IDC_Dim0, m_dim0);
	DDX_Check(pDX, IDC_Dim1, m_dim1);
	DDX_Check(pDX, IDC_Dim10, m_dim10);
	DDX_Check(pDX, IDC_Dim11, m_dim11);
	DDX_Check(pDX, IDC_Dim12, m_dim12);
	DDX_Check(pDX, IDC_Dim13, m_dim13);
	DDX_Check(pDX, IDC_Dim14, m_dim14);
	DDX_Check(pDX, IDC_Dim15, m_dim15);
	DDX_Check(pDX, IDC_Dim2, m_dim2);
	DDX_Check(pDX, IDC_Dim3, m_dim3);
	DDX_Check(pDX, IDC_Dim4, m_dim4);
	DDX_Check(pDX, IDC_Dim5, m_dim5);
	DDX_Check(pDX, IDC_Dim6, m_dim6);
	DDX_Check(pDX, IDC_Dim7, m_dim7);
	DDX_Check(pDX, IDC_Dim8, m_dim8);
	DDX_Check(pDX, IDC_Dim9, m_dim9);
	//}}AFX_DATA_MAP
  if (!pDX->m_bSaveAndValidate)
  {
    for (i=0; i<16; i++)m_colorControls[i]->SetColor(5,5,5);
  };
}


BEGIN_MESSAGE_MAP(EditPalette, CDialog)
	//{{AFX_MSG_MAP(EditPalette)
	ON_BN_CLICKED(IDC_Color0, OnColor0)
	ON_WM_PAINT()
	ON_BN_CLICKED(IDC_Color1, OnColor1)
	ON_BN_CLICKED(IDC_Color10, OnColor10)
	ON_BN_CLICKED(IDC_Color11, OnColor11)
	ON_BN_CLICKED(IDC_Color12, OnColor12)
	ON_BN_CLICKED(IDC_Color13, OnColor13)
	ON_BN_CLICKED(IDC_Color14, OnColor14)
	ON_BN_CLICKED(IDC_Color15, OnColor15)
	ON_BN_CLICKED(IDC_Color2, OnColor2)
	ON_BN_CLICKED(IDC_Color3, OnColor3)
	ON_BN_CLICKED(IDC_Color4, OnColor4)
	ON_BN_CLICKED(IDC_Color5, OnColor5)
	ON_BN_CLICKED(IDC_Color6, OnColor6)
	ON_BN_CLICKED(IDC_Color7, OnColor7)
	ON_BN_CLICKED(IDC_Color8, OnColor8)
	ON_BN_CLICKED(IDC_Color9, OnColor9)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SpinBlue, OnDeltaposSpinBlue)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SpinGreen, OnDeltaposSpinGreen)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SpinRed, OnDeltaposSpinRed)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// EditPalette message handlers

CStaticColor::CStaticColor(void)
{
  m_hBitmap = NULL;
}

CStaticColor::~CStaticColor(void)
{
  if (m_hBitmap != NULL) DeleteObject(m_hBitmap);
}

void CStaticColor::Initialize()
{
//  COLORREF color = RGB(255,0,0);
  CDCHOLDER CDCHolder;
//  int result;
  CDC *pDC;
  GetDC(pDC);
  m_hBitmap = CreateCompatibleBitmap(pDC->m_hDC,1,1);
  ReleaseDC(pDC);
}

void EditPalette::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	// TODO: Add your message handler code here
	//dc.Ellipse(0,0,100,100);
	// Do not call CDialog::OnPaint() for painting messages
}

BOOL EditPalette::OnInitDialog() 
{
  ExtractDataFromPalette();
	CDialog::OnInitDialog();
	// TODO: Add extra initialization here
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CStaticColor::SetColor(int r, int g, int b)
{
  CDCHOLDER CDCHolder;
  CDC *pDC;
  m_color = RGB(b*255/31,g*255/31,r*255/31);
  if (m_hBitmap == NULL) Initialize();
  GetDC(pDC);
  SetDIBits(pDC->m_hDC,
            m_hBitmap,
            0,
            1,
            &m_color,
            &bmi,
            DIB_RGB_COLORS);
  SetBitmap(m_hBitmap);
  ReleaseDC(pDC);
}

void EditPalette::SwapColors(int /*colorNum*/)
{
}

void EditPalette::OnColor0() 
{
	// TODO: Add your control notification handler code here
	SwapColors(0);
}

void EditPalette::OnColor1() 
{
	// TODO: Add your control notification handler code here
	SwapColors(1);
	
}

void EditPalette::OnColor2() 
{
	// TODO: Add your control notification handler code here
	SwapColors(2);
	
}

void EditPalette::OnColor3() 
{
	// TODO: Add your control notification handler code here
	SwapColors(3);
	
}

void EditPalette::OnColor4() 
{
	// TODO: Add your control notification handler code here
	SwapColors(4);
	
}

void EditPalette::OnColor5() 
{
	// TODO: Add your control notification handler code here
	SwapColors(5);
	
}

void EditPalette::OnColor6() 
{
	// TODO: Add your control notification handler code here
	SwapColors(6);
	
}

void EditPalette::OnColor7() 
{
	// TODO: Add your control notification handler code here
	SwapColors(7);
	
}

void EditPalette::OnColor8() 
{
	// TODO: Add your control notification handler code here
	SwapColors(8);
	
}

void EditPalette::OnColor9() 
{
	// TODO: Add your control notification handler code here
	SwapColors(9);
	
}

void EditPalette::OnColor10() 
{
	// TODO: Add your control notification handler code here
	SwapColors(10);
	
}

void EditPalette::OnColor11() 
{
	// TODO: Add your control notification handler code here
	SwapColors(11);
	
}

void EditPalette::OnColor12() 
{
	// TODO: Add your control notification handler code here
	SwapColors(12);
	
}

void EditPalette::OnColor13() 
{
	// TODO: Add your control notification handler code here
	SwapColors(13);
	
}

void EditPalette::OnColor14() 
{
	// TODO: Add your control notification handler code here
	SwapColors(14);
	
}

void EditPalette::OnColor15() 
{
	// TODO: Add your control notification handler code here
	SwapColors(15);
	
}

void EditPalette::UpdateColorValue(UINT *value, int delta)
{
  UpdateData(true);
  if (delta < 0)
  {
    if (*value < 31) (*value)++;
  }
  else
  {
    if (*value > 0) (*value)--;
  };
  m_color.SetColor(m_varRed, m_varGreen, m_varBlue);
  UpdateData(false);
}

void EditPalette::OnDeltaposSpinBlue(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;
	// TODO: Add your control notification handler code here
	UpdateColorValue(&m_varBlue, pNMUpDown->iDelta);
	*pResult = 0;
}

void EditPalette::OnDeltaposSpinGreen(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;
	// TODO: Add your control notification handler code here
	UpdateColorValue(&m_varGreen, pNMUpDown->iDelta);
	
	*pResult = 0;
}

void EditPalette::OnDeltaposSpinRed(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;
	// TODO: Add your control notification handler code here
	UpdateColorValue(&m_varRed, pNMUpDown->iDelta);
	
	*pResult = 0;
}

void EditPalette::OnOK() 
{
	// TODO: Add extra validation here
  PackDataIntoPalette();	
	CDialog::OnOK();
}
