#if !defined(AFX_EDITPORTRAIT_H__D8E4F741_EDC6_11D6_A264_A269096F617B__INCLUDED_)
#define AFX_EDITPORTRAIT_H__D8E4F741_EDC6_11D6_A264_A269096F617B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditPortrait.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EditPortrait dialog

class EditPortrait : public CDialog
{
// Construction
public:
  EditPortrait::EditPortrait(LOCATIONREL locr, 
                             RN RNportrait,
                             CWnd* pParent =NULL) ;

// Dialog Data
	//{{AFX_DATA(EditPortrait)
	enum { IDD = IDD_DLG_EditPortrait };
	CComboBox	m_graphic;
	CComboBox	m_characterName;
	UINT	m_characterNumber;
	int		m_dmCharacter;
	BOOL	m_external;
	UINT	m_portraitNumber;
	int		m_portraitClearIgnore;
	int		m_portraitSetIgnore;
	int		m_graphicClearIgnore;
	int		m_graphicSetIgnore;
	int		m_graphicToggleIgnore;
	int		m_activeClearIgnore;
	int		m_activeSetIgnore;
	int		m_activeToggleIgnore;
	BOOL	m_blockDisables;
	int		m_disableMessageNone;
	int		m_portraitToggleIgnore;
	int		m_targetPos;
	BOOL	m_advanced;
	BOOL	m_inactive;
	BOOL	m_hidePortrait;
	BOOL	m_hideGraphic;
	//}}AFX_DATA
  CToolTipCtrl m_toolTips;
  LOCATIONREL m_locr;
  RN m_RNportrait;
  ACTUATOR_Portrait *m_pPortrait;
  int m_graphicIndex;
  void Show(int id, bool show);
  bool AnyAdvancedFeatures(void);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditPortrait)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EditPortrait)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnDMcharacters();
	afx_msg void OnExternal();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnRadio47();
	afx_msg void OnAdvanced();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  void ExtractDataFromRecord(void);
  void EncodeDataIntoRecord(void);
  void FillWallDecorationsComboBox(void);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITPORTRAIT_H__D8E4F741_EDC6_11D6_A264_A269096F617B__INCLUDED_)
