#if !defined(AFX_EDITROOMSTONE_H__78975420_D09B_11D6_A264_A4970B0E90CF__INCLUDED_)
#define AFX_EDITROOMSTONE_H__78975420_D09B_11D6_A264_A4970B0E90CF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditRoomStone.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EditRoomStone dialog

class EditRoomStone : public CDialog
{
// Construction
public:
	EditRoomStone(LEVELINFO levelInfo, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EditRoomStone) 
	enum { IDD = IDD_DIALOG_EditRoomStone };
	CObjectListBox	m_targetOf;
	CObjectListBox	m_ES_3_List;
	CObjectListBox	m_ES_2_List;
	CObjectListBox	m_ES_1_List;
	CObjectListBox	m_ES_0_List;
	BOOL	m_randomEast;
	BOOL	m_randomNorth;
	BOOL	m_randomSouth;
	BOOL	m_randomWest;
	BOOL	m_nonBlockingTrickWall;
	BOOL	m_invisibleTrickWall;
	//}}AFX_DATA
  CToolTipCtrl m_toolTips;
  LOCATIONREL m_locr;
  CObjectListBox *m_lists[4];
  int             m_saveSel[4];
  LEVELINFO       m_levelInfo;
  RN              m_interestingObject;
  int             m_interestingObjectIndex;
  int             m_interestingObjectPos;
  ROOMTYPE        m_rt;
  int             m_activeMoveWindow;
  OBJECTLIST      m_triggerList;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditRoomStone)
	public:
	virtual int DoModal();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	//}}AFX_VIRTUAL
  void MoveCW(int distance);

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EditRoomStone)
	afx_msg void OnES0Edit();
	afx_msg void OnES1Edit();
	afx_msg void OnES2Edit();
	afx_msg void OnES3Edit();
	afx_msg void OnES0Delete();
	afx_msg void OnES1Delete();
	afx_msg void OnES2Delete();
	afx_msg void OnES3Delete();
	afx_msg void OnES0New();
	afx_msg void OnES1New();
	afx_msg void OnES2New();
	afx_msg void OnES3New();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnES0Pop();
	afx_msg void OnES1Pop();
	afx_msg void OnES2Pop();
	afx_msg void OnES3Pop();
	afx_msg void OnDblclkES3List();
	afx_msg void OnDblclkES2List();
	afx_msg void OnDblclkES1List();
	afx_msg void OnDblclkES0List();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnMoveCCW();
	afx_msg void OnMoveAcross();
	afx_msg void OnMoveCW();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnPeekAtSource();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

RN DetermineSelectedObject(int pos);
void InsertObject(int position);
void ESEdit(int position);
void Pop(int position);
void DeleteItem(int pos);
void ExtractDataFromRecord(void);
void EncodeDataIntoRecord(void);
void Show(int id, bool show);
};



//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITROOMSTONE_H__78975420_D09B_11D6_A264_A4970B0E90CF__INCLUDED_)
