#if !defined(AFX_EDITWEAPON_H__8A737D02_E751_11D6_A264_C9C3F435BE73__INCLUDED_)
#define AFX_EDITWEAPON_H__8A737D02_E751_11D6_A264_C9C3F435BE73__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditWeapon.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// EditWeapon dialog

class EditWeapon : public CDialog
{
// Construction
public:
	EditWeapon(LOCATIONREL locr,
             RN RNweapon,
             CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(EditWeapon)
	enum { IDD = IDD_DLG_EditWeapon };
	CComboBox	m_objectType;
	BOOL	m_broken;
	UINT	m_charges;
	BOOL	m_cursed;
	BOOL	m_important;
	BOOL	m_poisoned;
	BOOL	m_torchType;
	//}}AFX_DATA

  LOCATIONREL m_locr;
  RN m_RNweapon;
  DB5 *m_pWeapon;
  WEAPONTYPE m_weaponType;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditWeapon)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EditWeapon)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSelchangeWeaponType();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  void ExtractDataFromRecord(void);
  bool EncodeDataIntoRecord(void);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITWEAPON_H__8A737D02_E751_11D6_A264_C9C3F435BE73__INCLUDED_)
