// GetExportArea.cpp : implementation file
//

#include "stdafx.h"
#include "CSBuild.h"
#include "GetExportArea.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// GetExportArea dialog


GetExportArea::GetExportArea(CWnd* pParent /*=NULL*/)
	: CDialog(GetExportArea::IDD, pParent)
{
	//{{AFX_DATA_INIT(GetExportArea)
	m_height = 0;
	m_left = 0;
	m_top = 0;
	m_width = 0;
	m_ignoreNonImplemented = FALSE;
	//}}AFX_DATA_INIT
}


void GetExportArea::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(GetExportArea)
	DDX_Text(pDX, IDC_Height, m_height);
	DDV_MinMaxUInt(pDX, m_height, 1, 32);
	DDX_Text(pDX, IDC_Left, m_left);
	DDV_MinMaxUInt(pDX, m_left, 0, 31);
	DDX_Text(pDX, IDC_Top, m_top);
	DDV_MinMaxUInt(pDX, m_top, 0, 31);
	DDX_Text(pDX, IDC_Width, m_width);
	DDV_MinMaxUInt(pDX, m_width, 1, 32);
	DDX_Check(pDX, IDC_IgnoreNonImplemented, m_ignoreNonImplemented);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(GetExportArea, CDialog)
	//{{AFX_MSG_MAP(GetExportArea)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// GetExportArea message handlers
