#if !defined(AFX_GLOBALINFO_H__BA1BEA00_DCF8_11D6_A264_BB65176FFEF9__INCLUDED_)
#define AFX_GLOBALINFO_H__BA1BEA00_DCF8_11D6_A264_BB65176FFEF9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GlobalInfo.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// GlobalInfo dialog

class GlobalInfo : public CDialog
{
// Construction
public:
	GlobalInfo(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(GlobalInfo)
	enum { IDD = IDD_GlobalInfo };
	UINT	m_numberOfLevels;
	BOOL	m_autoRecord;
	BOOL	m_DMRules;
	UINT	m_lightLevel;
	int		m_specialLocationName;
	int		m_specialFacing;
	UINT	m_specialX;
	UINT	m_specialY;
	int		m_specialLevel;
	BOOL	m_invisibleMonsters;
	BOOL	m_drawAsSize4Monster;
	BOOL	m_drawAsSize4Monsters;
	BOOL	m_sameLevel;
	UINT	m_maxDistance;
	//}}AFX_DATA
  CWnd *m_parentWindow;
  int   m_partyX;
  int   m_partyY;
  int   m_partyFacing;
  int   m_partyLevel;
  int   m_startingX;
  int   m_startingY;
  int   m_startingFacing;
  int   m_spellFilterLevel;
  int   m_spellFilterX;
  int   m_spellFilterY;
  int   m_monsterAttackFilterLevel;
  int   m_monsterAttackFilterX;
  int   m_monsterAttackFilterY;
  int   m_partyAttackFilterLevel;
  int   m_partyAttackFilterX;
  int   m_partyAttackFilterY;
  int   m_feedingFilterLevel;
  int   m_feedingFilterX;
  int   m_feedingFilterY;
  int   m_cursorFilterLevel;
  int   m_cursorFilterX;
  int   m_cursorFilterY;
  int   m_adjustSkillsFilterLevel;
  int   m_adjustSkillsFilterX;
  int   m_adjustSkillsFilterY;
  int   m_deleteMonsterFilterLevel;
  int   m_deleteMonsterFilterX;
  int   m_deleteMonsterFilterY;
  int   m_indirectActionLevel;
  int   m_indirectActionX;
  int   m_indirectActionY;
  int   m_viewingFilterLevel;
  int   m_viewingFilterX;
  int   m_viewingFilterY;
  int   m_soundFilterLevel;
  int   m_soundFilterX;
  int   m_soundFilterY;
  int   m_actionNameFilterLevel;
  int   m_actionNameFilterX;
  int   m_actionNameFilterY;
  int   m_charDeathFilterLevel;
  int   m_charDeathFilterX;
  int   m_charDeathFilterY;
  int   m_monsterMoveFilterLevel;
  int   m_monsterMoveFilterX;
  int   m_monsterMoveFilterY;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(GlobalInfo)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

  void EnableControl(int id, bool enable);
  void ExtractDataFromDungeon(void);
  void EncodeDataIntoDungeon(void);
  void CaptureSpecialLocation(int locationID);
  void ReadOnly(int id, bool RO);
  void Show(int id, bool SHOW);

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(GlobalInfo)
	afx_msg void OnAddLevel();
	afx_msg void OnEditDSA();
	afx_msg void OnMaximizeDungeonSize();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnEditGameInfo();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSelchangeSpecialLocationName();
	afx_msg void OnSpecialBrowse();
	afx_msg void OnDatabase();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GLOBALINFO_H__BA1BEA00_DCF8_11D6_A264_BB65176FFEF9__INCLUDED_)
