#if !defined(AFX_SHOWSKINS_H__5E89C366_4684_46A3_AE5D_18862C0B13BA__INCLUDED_)
#define AFX_SHOWSKINS_H__5E89C366_4684_46A3_AE5D_18862C0B13BA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ShowSkins.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// ShowSkins dialog

class ShowSkins : public CDialog
{
// Construction
public:
	ShowSkins(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(ShowSkins)
	enum { IDD = IDD_ShowSkins };
	CSpinButtonCtrl	m_levelSpin;
	CListBox	m_skinList;
	BOOL	m_showAll;
	UINT	m_currentLevel;
	//}}AFX_DATA

  OBJECTLIST  *m_pObjectList;
  CString      m_title;
  int          m_currentSkin;
  int          m_currentL;
  int          m_clickRow;
  int          m_clickCol;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ShowSkins)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(ShowSkins)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeSkinList();
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnChangeLevel();
	afx_msg void OnShowAll();
	afx_msg void OnDeltaposLevelSpin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()


  void DrawLevel(CPaintDC *pDC, 
                 int level);
  void FillSkinList(void);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SHOWSKINS_H__5E89C366_4684_46A3_AE5D_18862C0B13BA__INCLUDED_)
